# AudioChannelDescription Class Reference

### [com.trolltech.qt.phonon package]

### Constructor

- void AudioChannelDescription()
- void AudioChannelDescription(int index, HashMap properties)

### Constructor Properties

- prototype: The AudioChannelDescription prototype object

### Prototype Object Properties

- String description()
- int index()
- bool isValid()
- String name()
- Object property(char name)
- List propertyNames()

### Instance Properties

AudioChannelDescription objects have no special properties beyond those inherited from the AudioChannelDescription prototype object.